DeadEvent
Date: 2016-05-24

com.google.common.eventbus

## Class DeadEvent

- java.lang.Object
- - com.google.common.eventbus.DeadEvent

-     @Beta
      public class DeadEvent
      extends java.lang.Object

  Wraps an event that was posted, but which had no subscribers and thus could not be delivered.

  Registering a DeadEvent subscriber is useful for debugging or logging, as it can detect misconfigurations in a system's event distribution.

  Since:
    10.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeadEvent(java.lang.Object source, java.lang.Object event)` Creates a new DeadEvent.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getEvent()` Returns the wrapped, 'dead' event, which the system was unable to deliver to any registered subscriber.
    `java.lang.Object` | `getSource()` Returns the object that originated this event (not the object that originated the wrapped event).
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeadEvent

          public DeadEvent(java.lang.Object source,
                   java.lang.Object event)

      Creates a new DeadEvent.
      Parameters:
        `source` - object broadcasting the DeadEvent (generally the `EventBus`).
        `event` - the event that could not be delivered.

  - ### Method Detail

    - #### getSource

          public java.lang.Object getSource()

      Returns the object that originated this event (not the object that originated the wrapped event). This is generally an `EventBus`.
      Returns:
        the source of this event.

    - #### getEvent

          public java.lang.Object getEvent()

      Returns the wrapped, 'dead' event, which the system was unable to deliver to any registered subscriber.
      Returns:
        the 'dead' event that could not be delivered.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`